[25689] trunk/dports/devel/odcctools

source_changes at macosforge.org source_changes at macosforge.org
Mon May 28 07:29:28 PDT 2007


Revision: 25689
          http://trac.macosforge.org/projects/macports/changeset/25689
Author:   yves at macports.org
Date:     2007-05-28 07:29:27 -0700 (Mon, 28 May 2007)

Log Message:
-----------
Add darwin 7 variant for ticket:11605

Modified Paths:
--------------
    trunk/dports/devel/odcctools/Portfile

Added Paths:
-----------
    trunk/dports/devel/odcctools/files/
    trunk/dports/devel/odcctools/files/patch-extract.sh

Modified: trunk/dports/devel/odcctools/Portfile
===================================================================
--- trunk/dports/devel/odcctools/Portfile	2007-05-28 13:56:33 UTC (rev 25688)
+++ trunk/dports/devel/odcctools/Portfile	2007-05-28 14:29:27 UTC (rev 25689)
@@ -47,3 +47,11 @@
 variant nosdk {
     set od_extract "--nosdk"
 }
+
+platform darwin 7 {
+    depends_build-append    port:gnutar
+    pre-extract {
+        cd ${workpath}/${name}
+        system "patch -p0 < ${filespath}/patch-extract.sh"
+    }
+}

Added: trunk/dports/devel/odcctools/files/patch-extract.sh
===================================================================
--- trunk/dports/devel/odcctools/files/patch-extract.sh	                        (rev 0)
+++ trunk/dports/devel/odcctools/files/patch-extract.sh	2007-05-28 14:29:27 UTC (rev 25689)
@@ -0,0 +1,50 @@
+--- extract.sh.orig	2007-05-28 09:32:38.000000000 -0400
++++ extract.sh	2007-05-28 09:35:10.000000000 -0400
+@@ -44,7 +44,7 @@
+ 
+ 
+ 
+-if [ "`tar --help | grep -- --strip-components 2> /dev/null`" ]; then
++if [ "`gnutar --help | grep -- --strip-components 2> /dev/null`" ]; then
+     TARSTRIP=--strip-components
+ else
+     TARSTRIP=--strip-path
+@@ -62,9 +62,9 @@
+ fi
+ 
+ mkdir -p ${DISTDIR}
+-tar ${TARSTRIP}=1 -jxf ${CCTOOLSDISTFILE} -C ${DISTDIR}
++gnutar ${TARSTRIP}=1 -jxf ${CCTOOLSDISTFILE} -C ${DISTDIR}
+ mkdir -p ${DISTDIR}/ld64
+-tar ${TARSTRIP}=1 -jxf ${LD64DISTFILE} -C ${DISTDIR}/ld64
++gnutar ${TARSTRIP}=1 -jxf ${LD64DISTFILE} -C ${DISTDIR}/ld64
+ find ${DISTDIR}/ld64/doc/ -type f -exec cp "{}" ${DISTDIR}/man \;
+ 
+ # Clean the source a bit
+@@ -81,7 +81,7 @@
+ 
+     mv ${DISTDIR}/include/mach/machine.h ${DISTDIR}/include/mach/machine.h.new;
+     for i in mach architecture i386 libkern; do
+-	tar cf - -C "$SDKROOT/usr/include" $i | tar xf - -C ${DISTDIR}/include
++	gnutar cf - -C "$SDKROOT/usr/include" $i | gnutar xf - -C ${DISTDIR}/include
+     done
+     mv ${DISTDIR}/include/mach/machine.h.new ${DISTDIR}/include/mach/machine.h;
+ 
+@@ -135,7 +135,7 @@
+ set -e
+ 
+ echo "Adding new files"
+-tar cf - --exclude=CVS --exclude=.svn -C ${ADDEDFILESDIR} . | tar xvf - -C ${DISTDIR}
++gnutar cf - --exclude=CVS --exclude=.svn -C ${ADDEDFILESDIR} . | gnutar xvf - -C ${DISTDIR}
+ 
+ echo "Deleting cruft"
+ find ${DISTDIR} -name Makefile -exec rm -f "{}" \;
+@@ -151,7 +151,7 @@
+ if [ $MAKEDISTFILE -eq 1 ]; then
+     DATE=$(date +%Y%m%d)
+     mv ${DISTDIR} ${DISTDIR}-$DATE
+-    tar jcf ${DISTDIR}-$DATE.tar.bz2 ${DISTDIR}-$DATE
++    gnutar jcf ${DISTDIR}-$DATE.tar.bz2 ${DISTDIR}-$DATE
+ fi
+ 
+ exit 0

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/macports-changes/attachments/20070528/f8bf34c6/attachment.html


More information about the macports-changes mailing list